import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  CreateDataProviderMessage,
  CreateDataProviderResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface CreateDataProviderCommandInput
  extends CreateDataProviderMessage {}
export interface CreateDataProviderCommandOutput
  extends CreateDataProviderResponse,
    __MetadataBearer {}
declare const CreateDataProviderCommand_base: {
  new (
    input: CreateDataProviderCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateDataProviderCommandInput,
    CreateDataProviderCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: CreateDataProviderCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateDataProviderCommandInput,
    CreateDataProviderCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateDataProviderCommand extends CreateDataProviderCommand_base {
  protected static __types: {
    api: {
      input: CreateDataProviderMessage;
      output: CreateDataProviderResponse;
    };
    sdk: {
      input: CreateDataProviderCommandInput;
      output: CreateDataProviderCommandOutput;
    };
  };
}
