import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  StopDataMigrationMessage,
  StopDataMigrationResponse,
} from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface StopDataMigrationCommandInput
  extends StopDataMigrationMessage {}
export interface StopDataMigrationCommandOutput
  extends StopDataMigrationResponse,
    __MetadataBearer {}
declare const StopDataMigrationCommand_base: {
  new (
    input: StopDataMigrationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StopDataMigrationCommandInput,
    StopDataMigrationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StopDataMigrationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StopDataMigrationCommandInput,
    StopDataMigrationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StopDataMigrationCommand extends StopDataMigrationCommand_base {
  protected static __types: {
    api: {
      input: StopDataMigrationMessage;
      output: StopDataMigrationResponse;
    };
    sdk: {
      input: StopDataMigrationCommandInput;
      output: StopDataMigrationCommandOutput;
    };
  };
}
