import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeConnectionsMessage,
  DescribeConnectionsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeConnectionsCommandInput
  extends DescribeConnectionsMessage {}
export interface DescribeConnectionsCommandOutput
  extends DescribeConnectionsResponse,
    __MetadataBearer {}
declare const DescribeConnectionsCommand_base: {
  new (
    input: DescribeConnectionsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeConnectionsCommandInput,
    DescribeConnectionsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeConnectionsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeConnectionsCommandInput,
    DescribeConnectionsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeConnectionsCommand extends DescribeConnectionsCommand_base {
  protected static __types: {
    api: {
      input: DescribeConnectionsMessage;
      output: DescribeConnectionsResponse;
    };
    sdk: {
      input: DescribeConnectionsCommandInput;
      output: DescribeConnectionsCommandOutput;
    };
  };
}
