import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeRecommendationsRequest,
  DescribeRecommendationsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeRecommendationsCommandInput
  extends DescribeRecommendationsRequest {}
export interface DescribeRecommendationsCommandOutput
  extends DescribeRecommendationsResponse,
    __MetadataBearer {}
declare const DescribeRecommendationsCommand_base: {
  new (
    input: DescribeRecommendationsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeRecommendationsCommandInput,
    DescribeRecommendationsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeRecommendationsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeRecommendationsCommandInput,
    DescribeRecommendationsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeRecommendationsCommand extends DescribeRecommendationsCommand_base {
  protected static __types: {
    api: {
      input: DescribeRecommendationsRequest;
      output: DescribeRecommendationsResponse;
    };
    sdk: {
      input: DescribeRecommendationsCommandInput;
      output: DescribeRecommendationsCommandOutput;
    };
  };
}
