import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import { StartRecommendationsRequest } from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface StartRecommendationsCommandInput
  extends StartRecommendationsRequest {}
export interface StartRecommendationsCommandOutput extends __MetadataBearer {}
declare const StartRecommendationsCommand_base: {
  new (
    input: StartRecommendationsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartRecommendationsCommandInput,
    StartRecommendationsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StartRecommendationsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartRecommendationsCommandInput,
    StartRecommendationsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StartRecommendationsCommand extends StartRecommendationsCommand_base {
  protected static __types: {
    api: {
      input: StartRecommendationsRequest;
      output: {};
    };
    sdk: {
      input: StartRecommendationsCommandInput;
      output: StartRecommendationsCommandOutput;
    };
  };
}
